<?php
include("../../../functions.inc.php");
checkLogin('adm','usr');
include("../functions.inc.php");
include("../../anagrafiche/functions.inc.php");

dbConnect();

//elimino iscritto e anagrafiche associate
if(isset($_GET['del']) && $_SESSION['user']['grp'] == 'adm'){
	del_user(intval($_GET['del']));
	Js('$("#owner-name").val("Amministratore");');
	die();
}

if($_SESSION['user']['grp'] == 'usr'){
	$id = $_SESSION['user']['id'];
}else{
	$id = intval($_GET['id']);
	$is_admin = true;
	if(intval($_GET['anagr']) > 0){
		$anagr_id = intval($_GET['anagr']);
		check_my_anagr($anagr_id);
	}
}




//salvo dati
if(isset($_POST['nome'])){
	

	if(is_empty($_POST['nome']))
		printMsg("Compilare il campo <strong>Nome</strong>","danger");
	if(is_empty($_POST['cognome']))
		printMsg("Compilare il campo <strong>Cognome</strong>","danger");
	
		if(!$is_admin && is_empty($_POST['indirizzo']))
			printMsg("Compilare il campo <strong>Indirizzo di residenza</strong>","danger");
		if(!$is_admin && intval($_POST['provincia']) == 0)
			printMsg("Selezionare la <strong>Provincia di residenza</strong>","danger");
		if(!$is_admin && intval($_POST['comune']) == 0 && $_POST['provincia'] <> 111)
			printMsg("Selezionare il <strong>Comune di residenza</strong>","danger");
		if(!$is_admin && is_empty($_POST['codfis']))
			printMsg("Compilare il campo <strong>Codice fiscale</strong>","danger");
		if(!is_empty($_POST['codfis']) && !is_codfis($_POST['codfis']))
			printMsg("<strong>Codice fiscale</strong> errato","danger");
		
		
		if(!$is_admin && is_empty($_POST['ci']))
			printMsg("Inserire il <strong>numero della Carta d'identit&agrave;</strong>",'danger');
		if(!$is_admin && (!$ci_data = is_date($_POST['ci_data'])))
			printMsg("<strong>Data rilascio errata o non valida</strong>. Formato corretto \"GG/MM/AAAA\". Es: 02/11/".date("Y"),'danger');
		if(!$is_admin && intval($_POST['ci_provincia']) == 0)
			printMsg("Selezionare la <strong>Provincia di rilascio</strong> carta identi&agrave;",'danger');
		if(!$is_admin && intval($_POST['ci_comune']) == 0)
			printMsg("Selezionare il <strong>Comune di rilascio</strong> carta identi&agrave;",'danger');
		
		if(!$is_admin && is_empty($_POST['email']))
			printMsg("Compilare il campo <strong>Indirizzo e-mail</strong>","danger");
		if(!is_empty($_POST['email']) && !is_email($_POST['email']))
			printMsg("<strong>Indirizzo e-mail</strong> errato","danger");
	


	if(is_empty($_POST['cellulare']))
		printMsg("Compilare il campo <strong>N. Cellulare</strong>","danger");
	if(!is_cellulare($_POST['cellulare']))
		printMsg("Inserire il <strong>N. Cellulare</strong> corretto, senza prefisso o punteggiatura. Es: 3404000000","danger");

	if($is_admin && !empty($_POST['password']) && !is_password($_POST['password'])){
		printMsg("La password deve essere fra 6 e 20 caratteri alfanumerici");
	}
	
	$user_pass = is_password($_POST['password']) ? dbClean($_POST['password']) : 'user_pass';
		

	//controllo che il cell non sia gia presente
	$result = $mysqli->query("SELECT user_cell FROM users WHERE user_cell = ".dbClean($_POST['cellulare'])." AND user_id <> ".$id." AND ente_id = ".$_SESSION['user']['ente_id']);
	if($result->num_rows > 0)
		printMsg("Il numero di <strong>Cellulare risulta gi&agrave; in uso</strong>","warning");
	
	//nuova anagrafica
	if($id == 0 && $anagr_id && $is_admin){
		
		$result = $mysqli->query("INSERT INTO users (
			ente_id, user_cell, user_pass, user_nome, user_cognome, user_ind, provincia_id,comune_id,user_email,user_ci,user_ci_data,user_ci_prov,user_ci_com,user_codfis,user_grp
		) VALUES (
			".$_SESSION['user']['ente_id'].",
			".dbClean($_POST['cellulare']).",
			".$user_pass.",
			".dbClean(welltxt($_POST['nome'])).",
			".dbClean(welltxt($_POST['cognome'])).",
			".dbClean(welltxt($_POST['indirizzo'])).",
			".intval($_POST['provincia']).",
			".intval($_POST['comune']).",
			".dbClean(strtolower($_POST['email'])).",
			".dbClean(strtoupper($_POST['ci'])).",
			".dbClean($ci_data).",
			".intval($_POST['ci_provincia']).",
			".intval($_POST['ci_comune']).",
			".dbClean(strtoupper($_POST['codfis'])).",
			'usr'
		)");
		
		if(!$result)
			printMsg("Errore durante il salvataggio. Ricontrollare i dati","danger");
		else{
			$user_id =  $mysqli->insert_id;
			$result = $mysqli->query("UPDATE anagrafiche SET user_id = ".$user_id." WHERE anagr_id = ".$anagr_id);
			
			Js('$("#owner-id").val('.$user_id.'); setOwnerName("#owner-name","'. entities(welltxt($_POST['cognome'].' '.$_POST['nome'])) .'"); closeDialog();');
		}
		
	//update
	}else{
	
		$result = $mysqli->query("UPDATE users SET
			user_cell =  ".dbClean($_POST['cellulare']).",
			user_pass =  ".$user_pass.",
			user_nome = ".dbClean(welltxt($_POST['nome'])).",
			user_cognome = ".dbClean(welltxt($_POST['cognome'])).",
			user_ind = ".dbClean(welltxt($_POST['indirizzo'])).",
			provincia_id = ".intval($_POST['provincia']).",
			comune_id = ".intval($_POST['comune']).",
			user_email = ".dbClean(strtolower($_POST['email'])).",
			user_ci = ".dbClean(strtoupper($_POST['ci'])).",
			user_ci_data = ".dbClean($ci_data).",
			user_ci_prov = ".intval($_POST['ci_provincia']).",
			user_ci_com = ".intval($_POST['ci_comune']).",
			user_codfis = ".dbClean(strtoupper($_POST['codfis']))."
			WHERE user_id = ".$id." AND ente_id = ".$_SESSION['user']['ente_id']
		);
		
		if(!$result)
			printMsg("Errore durante il salvataggio. Ricontrollare i dati","danger");
		else{
			if($is_admin)
				Js('setOwnerName("#owner-name","'. entities(welltxt($_POST['cognome'].' '.$_POST['nome'])) .'");');
	
			printMsg("Modifiche salvate con successo!","success");
		}
	}
	die();
}
?>
<div>
    <div class="modal-d-title">Modifica dati</div>
    <form id="form_usr" class="form-horizontal" action="<?php echo $_SERVER['REQUEST_URI'];?>" role="form" onSubmit="return post(this,'f-user-result')">
    <div class="modal-body modal-body-diag">    

		<?php if(($user = get_users($id)) || ($is_admin && $anagr_id) ) : ?>

            <div class="form-group-inline form-horizontal">
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Nome</label>
                        <input class="form-control" type="text" maxlength="40" name="nome" value="<?php echo entities($user['user_nome']);?>" />
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Cognome</label>
                        <input class="form-control" type="text" maxlength="40" name="cognome" value="<?php echo entities($user['user_cognome']);?>" />
                    </div>
                </div>
                
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Indirizzo di Residenza</label>
                        <input class="form-control" type="text" maxlength="40" name="indirizzo" value="<?php echo entities($user['user_ind']);?>" />
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Provincia di Residenza</label>
                        <select class="form-control" name="provincia" onChange="selXmlPop('#sel_comune_usr','comuni',this.value)">
                        	<option value=""></option>
                            <?php 
							print_province_opts($user['provincia_id']);
							?>
                        </select>
					</div>
                </div>
                
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Comune di Residenza</label>
                        <select class="form-control" name="comune" id="sel_comune_usr">
                        	<option value=""></option>
                            <?php 
							print_comuni_opts($user['provincia_id'],$user['comune_id']);
							?>
                        </select>
                    </div>
                	<div class="col-sm-6">
                            <label class="control-label">Codice fiscale</label>
                            <input class="form-control" type="text" maxlength="16" name="codfis" value="<?php echo entities($user['user_codfis']);?>" />
                	</div>
                </div>
                
			
            	<!-- CI block -->
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">N. Carta d'identit&agrave;</label>
                        <input class="form-control" type="text" maxlength="15" name="ci" value="<?php echo entities($user['user_ci']);?>" />
                    </div>
                    <div class="col-sm-6">
                    	<div class="row">
                            <label class="control-label col-sm-12">Rilasciata in data</label>
                            <div class="col-sm-6 col-md-5">
                                <input class="form-control" type="text" maxlength="10" name="ci_data" value="<?php echo date_ita($user['user_ci_data']);?>" placeholder="00/00/0000" />
                            </div>
                        </div>
                    </div>
                </div>
    
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Provincia rilascio</label>
                        <select class="form-control" name="ci_provincia" onChange="selXmlPop('#ci_comune_usr','comuni',this.value)">
                            <option value=""></option>
                            <?php print_province_opts($user['user_ci_prov']) ;?>
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Comune rilascio</label>
                        <select class="form-control" name="ci_comune" id="ci_comune_usr">
                            <option value=""></option>
                            <?php print_comuni_opts($user['user_ci_prov'],$user['user_ci_com']) ;?>
                        </select>
                    </div>
                </div>
            
            
                <div class="form-group">
                    <div class="col-sm-6 has-feedback">
                        <label class="control-label">Indirizzo e-mail</label>
                        <div class="row">
                        	<div class="col-xs-12 has-feedback">
		                        <input class="form-control" type="text" maxlength="255" name="email" value="<?php echo entities($user['user_email']);?>" />
        		                <span class="glyphicon glyphicon-mail form-control-feedback"></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                    	<div class="row">
                            <label class="control-label col-sm-12">N. Cellulare</label>
                            <div class="col-sm-6 has-feedback">
                                <input class="form-control" type="text" maxlength="10" name="cellulare" value="<?php echo entities($user['user_cell']);?>" />
                            	<span class="glyphicon glyphicon-phone form-control-feedback"></span>
                            </div>
                        </div>
                    </div>
                </div>
				
                <?php if($is_admin) : ?>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Password</label>
                        <input class="form-control" type="password" maxlength="20" name="password" value="" />
                    </div>
                </div>
                <?php endif ?>


			</div>   	

			<div id="f-user-result"></div>
		<?php 
		elseif($is_admin && !$anagr_id) :
			printMsg("Devi prima inserire l'anagrafica","warning",false);
		else :
			printMsg("Non e' un tuo iscritto!","warning",false);
        
        endif 
		?>


    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Salva</button>
    	<?php if($is_admin && $id) : ?>
        <button type="button" class="btn btn-danger" onClick="delUser(<?php echo $id;?>)">Elimina</button>
        <?php endif ?>
        <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
    </div>
    </form>
</div>